Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.cache
Interface Cache

All Known Implementing Classes:
  ConcurrentMapCache, EhCacheCache, JCacheCache

    public interface Cache

Interface that defines the common cache operations. Note: Due to the generic use of caching, it is recommended that implementations allow storage of `null` values (for example to cache methods that return `null`).

Since:
  3.1
Author:
  Costin Leau

Nested Class Summary
`static interface` | `Cache.ValueWrapper` A (wrapper) object representing a cache value.

Method Summary
`void` | `clear()` Remove all mappings from the cache.
`void` | `evict(java.lang.Object key)` Evict the mapping for this key from this cache if it is present.
`Cache.ValueWrapper` | `get(java.lang.Object key)` Return the value to which this cache maps the specified key.
`java.lang.String` | `getName()` Return the cache name.
`java.lang.Object` | `getNativeCache()` Return the the underlying native cache provider.
`void` | `put(java.lang.Object key, java.lang.Object value)` Associate the specified value with the specified key in this cache.

Method Detail

### getName

    java.lang.String getName()

  Return the cache name.

### getNativeCache

    java.lang.Object getNativeCache()

  Return the the underlying native cache provider.

### get

    Cache.ValueWrapper get(java.lang.Object key)

  Return the value to which this cache maps the specified key. Returns `null` if the cache contains no mapping for this key.

  Parameters:
    `key` - key whose associated value is to be returned.
  Returns:
    the value to which this cache maps the specified key, or `null` if the cache contains no mapping for this key

### put

    void put(java.lang.Object key,
             java.lang.Object value)

  Associate the specified value with the specified key in this cache.

  If the cache previously contained a mapping for this key, the old value is replaced by the specified value.

  Parameters:
    `key` - the key with which the specified value is to be associated
    `value` - the value to be associated with the specified key

### evict

    void evict(java.lang.Object key)

  Evict the mapping for this key from this cache if it is present.

  Parameters:
    `key` - the key whose mapping is to be removed from the cache

### clear

    void clear()

  Remove all mappings from the cache.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD